## coq-float 8.2-1.2

=== debian/changelog ===
coq-float (1:8.2-1.2-5) unstable; urgency=low

  * Rebuild with Coq 8.2pl2
  * Update debian/watch
  * Bump Standards-Version to 3.9.0 (no changes)
  * Switch source package format to 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Jul 2010 15:51:20 +0200

coq-float (1:8.2-1.2-4) unstable; urgency=low

  * Rebuild with OCaml 3.11.2
  * Rewrite debian/rules with dh overrides
  * Install *.vo files in user-contrib/Float
  * debian/control:
    - move to section math
    - bump dependency to debhelper
    - update my e-mail address, remove DMUA
    - update Standards-Version to 3.8.4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 10 Feb 2010 21:47:18 +0100

coq-float (1:8.2-1.2-3) unstable; urgency=low

  * Rebuild with Coq 8.2pl1

 -- Stephane Glondu <steph@glondu.net>  Sat, 04 Jul 2009 14:06:56 +0200

coq-float (1:8.2-1.2-2) unstable; urgency=low

  * Recompile with OCaml 3.11.1 ABI
  * Update Standards-Version to 3.8.2

 -- Stephane Glondu <steph@glondu.net>  Wed, 01 Jul 2009 20:11:09 +0200

coq-float (1:8.2-1.2-1) unstable; urgency=low

  [ Samuel Mimram ]
  * Switch packaging to git.
  * Enforce strict dependency on coq ABI.
  * Update standards version to 3.8.0.
  * Add Homepage field.

  [ Stephane Glondu ]
  * New Upstream Version
  * Use debhelper 7
  * Add a build cache (for Debian debugging)
  * Set Maintainer to d-o-m, add Samuel and myself to Uploaders
  * Add DM-Upload-Allowed
  * Switch copyright to machine-parsable format
  * Add a more detailed long description for libfloat-coq

 -- Stephane Glondu <steph@glondu.net>  Wed, 11 Mar 2009 17:13:21 +0100

coq-float (1:8.1-1.0-4) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * add vcs-* fields

  [ Samuel Mimram ]
  * Rebuild with latest version of coq.

 -- Samuel Mimram <smimram@debian.org>  Sat, 19 Jan 2008 16:52:13 +0100

coq-float (1:8.1-1.0-3) unstable; urgency=low

  * Rebuild with latest coq.

 -- Samuel Mimram <smimram@debian.org>  Sun, 18 Nov 2007 19:21:44 +0000

coq-float (1:8.1-1.0-2) unstable; urgency=low

  * Rebuild with latest version of coq.

 -- Samuel Mimram <smimram@debian.org>  Mon, 10 Sep 2007 00:24:19 +0200

coq-float (1:8.1-1.0-1) unstable; urgency=low

  * New upstream release.
  * Updated upstream url and watch.
  * Made the package arch all since coq libraries should be
    platform-independant.

 -- Samuel Mimram <smimram@debian.org>  Thu, 30 Aug 2007 13:08:49 +0200

coq-float (2001-1) unstable; urgency=low

  * Initial release, closes: #438613.

 -- Samuel Mimram <smimram@debian.org>  Fri, 10 Aug 2007 14:48:56 +0000
