=== debian/control ===
Source: coq-float
Section: math
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Samuel Mimram <smimram@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends: debhelper (>= 7.0.50~), coq (>= 8.2)
Standards-Version: 3.9.0
Homepage: http://lipforge.ens-lyon.fr/www/pff/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/coq-float.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/coq-float.git

Package: libfloat-coq
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, coq-${F:CoqABI}
Description: Coq library on floating-point arithmetic
 This package provides PFF (Preuves Formelles sur les Flottants =
 Formal Proofs about Floats), a library for reasoning about
 floating-point arithmetic in Coq. It contains both definitions and
 proofs of basic facts, old & new properties and algorithms.
