=== debian/changelog ===
coq-float (1:8.3pl1-4) unstable; urgency=low

  * Recompile with camlp5 6.06 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 06 Jun 2012 22:59:40 +0200

coq-float (1:8.3pl1-3) unstable; urgency=low

  * Recompile with coq 8.3pl4 and camlp5 6.05 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 30 Mar 2012 08:06:29 +0200

coq-float (1:8.3pl1-2) unstable; urgency=low

  * Recompile with camlp5 6.04 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Mar 2012 08:30:25 +0100

coq-float (1:8.3pl1-1) unstable; urgency=low

  * New upstream release
    - remove all patches (applied upstream)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 09 Jan 2012 20:41:12 +0100

coq-float (1:8.2-1.2-9) unstable; urgency=low

  * Rebuild with Coq 8.3pl3 (no source changes)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 25 Dec 2011 17:51:31 +0100

coq-float (1:8.2-1.2-8) unstable; urgency=low

  * Recompile with OCaml 3.12.1 (no changes)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Nov 2011 06:25:46 +0100

coq-float (1:8.2-1.2-7) unstable; urgency=low

  * Add patch to fix build with Coq 8.3
  * Bump Standards-Version to 3.9.1 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 19 Apr 2011 22:30:18 +0200

coq-float (1:8.2-1.2-6) unstable; urgency=low

  * Rebuild with coq 8.2.pl2+dfsg-2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 10 Mar 2011 22:17:35 +0100
