=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders:
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), coq (>= 8.2)
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 7.0.50~), coq (>= 8.3)
+Standards-Version: 3.9.2
 Homepage: http://lipforge.ens-lyon.fr/www/pff/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/coq-float.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/coq-float.git
