=== debian/changelog ===
coq-float (1:8.4-5build1) xenial; urgency=medium

  * No-change rebuild against new ocaml ABIs

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 04 Nov 2015 11:08:32 +0000

coq-float (1:8.4-5) unstable; urgency=medium

  * Recompile with OCaml 4.02.3

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2015 11:37:12 +0200

coq-float (1:8.4-4) unstable; urgency=medium

  * Recompile with coq 8.4pl4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 30 Jul 2014 08:59:29 +0200

coq-float (1:8.4-3) unstable; urgency=medium

  * Recompile with coq 8.4pl3
  * Bump Standards-Version to 3.9.5 (no changes)
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Mon, 20 Jan 2014 07:44:07 +0100

coq-float (1:8.4-2) unstable; urgency=low

  * Recompile with OCaml 4.01.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Dec 2013 10:06:37 +0100

coq-float (1:8.4-1) unstable; urgency=low

  * New upstream release
  * Use format version 1.0 in debian/copyright
  * Bump Standards-Version to 3.9.4
  * Bump debhelper compat level to 9

 -- Stéphane Glondu <glondu@debian.org>  Wed, 08 May 2013 23:29:32 +0200
