=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders:
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), coq (>= 8.3)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), coq (>= 8.4)
+Standards-Version: 3.9.5
 Homepage: http://lipforge.ens-lyon.fr/www/pff/
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/coq-float.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/coq-float.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/coq-float.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/coq-float.git
 
 Package: libfloat-coq
 Architecture: all
