=== debian/watch ===
version=3

http://lipforge.ens-lyon.fr/frs/?group_id=11&release_id=85 .*/Float([0-9a-z\-\.]*)\.t(?:ar\.|)gz
