## coq-float 8.9.0

=== debian/changelog ===
coq-float (1:8.9.0-1build1) focal; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Feb 2020 18:37:43 +0100

coq-float (1:8.9.0-1) unstable; urgency=medium

  * New upstream release (Closes: #813596)
  * Update Homepage and debian/watch
  * Update Vcs-*
  * Remove Samuel from Uploaders
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Sat, 01 Feb 2020 11:28:40 +0100
