=== debian/changelog ===
coq-float (1:8.10.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release, compiles with coq 8.11.0  (closes: #953765)
  * Add debian/upstream, containing the reference of the TPHOL paper

 -- Ralf Treinen <treinen@debian.org>  Mon, 16 Mar 2020 11:08:42 +0100
