=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
-Build-Depends: debhelper (>= 9), coq (>= 8.4)
-Standards-Version: 3.9.5
-Homepage: http://lipforge.ens-lyon.fr/www/pff/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/coq-float.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/coq-float.git
+Build-Depends: debhelper-compat (= 12), coq (>= 8.9)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://github.com/coq-contribs/float
+Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-float
+Vcs-Git: https://salsa.debian.org/ocaml-team/coq-float.git
 
 Package: libfloat-coq
 Architecture: all
