=== debian/watch ===
version=3
https://github.com/coq-contribs/float/releases .*/archive/v(.*)\.tar\.gz
